FROM python:3.10.1-slim-bullseye
RUN apt update &&apt install curl -y
RUN curl -fsSL https://deb.nodesource.com/setup_18.x |  bash -
RUN apt install nodejs vim -y
COPY src/ /home/opt/lcc-reese84/src
#ADD package-lock.json package.json /home/opt/lcc-5s/
WORKDIR /home/opt/lcc-reese84/
RUN cd /home/opt/lcc-reese84/src && npm i
#RUN sed -i "s/'all'/'asll'/g" /home/opt/lcc-reese84/src/node_modules/nwsapi/src/nwsapi.js
WORKDIR /home/opt/lcc-reese84/src
RUN pip3 install requests loguru curl_cffi tls_client pyquery nacos-sdk-python pyyaml
RUN sed -i "s/\"Accep/#\"Accep/g" /usr/local/lib/python3.10/site-packages/tls_client/sessions.py
RUN npm i -g pm2 canvas


#CMD ["python3", "main.py"]
CMD ["sh", "/home/opt/lcc-reese84/src/run.sh"]



